package org.apache.maven.continuum.execution;

/*
 * Copyright 2004-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @author <a href="mailto:trygvis@inamo.no">Trygve Laugst&oslash;l</a>
 * @version $Id: ContinuumBuildExecutionResult.java 219742 2005-07-19 18:17:56Z trygvis $
 */
public class ContinuumBuildExecutionResult
{
    private String output;

    private int exitCode;

    public ContinuumBuildExecutionResult( String output, int exitCode )
    {
        this.output = output;

        this.exitCode = exitCode;
    }

    public String getOutput()
    {
        return output;
    }

    public int getExitCode()
    {
        return exitCode;
    }
}
