package org.apache.maven.continuum.updater.exception;

/*
 * Copyright 2001-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @author <a href="mailto:evenisse@apache.org">Emmanuel Venisse</a>
 * @version $Id: UpdaterException.java 279123 2005-09-06 21:36:03Z evenisse $
 */
public class UpdaterException
    extends Exception
{
    public UpdaterException()
    {
    }

    public UpdaterException( String message )
    {
        super( message );
    }

    public UpdaterException( Throwable cause )
    {
        super( cause );
    }

    public UpdaterException( String message, Throwable cause )
    {
        super( message, cause );
    }
}