package org.apache.maven.continuum;

import org.apache.maven.continuum.model.project.ProjectDependency;

import java.util.List;

/**
 * User: drolsham
 */
public interface DependencyHelper {

    String ROLE = DependencyHelper.class.getName();

    List<List<ProjectDependency>> getAllDependencyCombinations(
            List<ProjectDependency> originalDependencies,
            List<ProjectDependency> newDependencies);

    List<ProjectDependency> findSimilarDependenciesInList(final ProjectDependency dependency,
                                final List<ProjectDependency> list);

    boolean dependenciesEqual(ProjectDependency dependency1, ProjectDependency dependency2);

    List<ProjectDependency> cloneDependencyList(List<ProjectDependency> dependencies);

    ProjectDependency cloneDependency (ProjectDependency dependency);
}
