package org.apache.maven.continuum.configuration;

/*
 * Copyright 2004-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @author <a href="mailto:jason@maven.org">Jason van Zyl</a>
 * @version $Id: ConfigurationException.java 292523 2005-09-29 19:42:37Z evenisse $
 */
public class ConfigurationException
    extends Exception
{
    public ConfigurationException( String message )
    {
        super( message );
    }

    public ConfigurationException( Throwable cause )
    {
        super( cause );
    }

    public ConfigurationException( String message, Throwable cause )
    {
        super( message, cause );
    }
}
