package org.apache.maven.continuum.scm.queue;

/*
 * Copyright 2004-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.codehaus.plexus.taskqueue.Task;

import java.io.File;

/**
 * @author <a href="mailto:trygvis@inamo.no">Trygve Laugst&oslash;l</a>
 * @version $Id: CheckOutTask.java 233212 2005-08-17 17:34:49Z brett $
 */
public class CheckOutTask
    implements Task
{
    private int projectId;

    private File workingDirectory;

    public CheckOutTask( int projectId, File workingDirectory )
    {
        this.projectId = projectId;

        this.workingDirectory = workingDirectory;
    }

    public int getProjectId()
    {
        return projectId;
    }

    public File getWorkingDirectory()
    {
        return workingDirectory;
    }
}
